Export Lifecycle Maintenance History
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/lcmOperations/actions/exportLcmHistory
Exports the database maintenance history for update (patching) and upgrade operations in CSV format.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest to export LCM history data
Show Source
-
csvFileLocation: string
File location where the CSV to be exportedExample:
/scratch/lcmhistory -
csvFileName: string
CSV file nameExample:
lcmHistory_04122024T10_10_10.csv -
destinationHostCredential: string
Destination host target credentialExample:
HOST_CRED:ADMIN -
destinationHostName: string
Destination host target nameExample:
myhost
Match All
Request to export LCM history data
Show Source
-
object
allOf
LcmHistoryDetails
Request to retrieve LCM history data
Nested Schema : LcmHistoryDetails
Type:
objectRequest to retrieve LCM history data
Show Source
-
exclusions: array
exclusions
Exclude the given details in response
Match All
Request to retrieve LCM history data
Show Source
-
object
LcmHistoryFilter
Filter for LCM history data
Nested Schema : LcmHistoryFilter
Type:
objectFilter for LCM history data
Show Source
-
status: string
Allowed Values:
[ "SCHEDULED", "RUNNING", "ACTION_REQUIRED", "PAUSED", "FAILED", "COMPLETED", "ABORTED", "SKIPPED", "SAVED", "COMPLETED_WITH_ERROR" ]status of taskExample:COMPLETED -
submittedBy: string
OEM user that submitted the operationExample:
SYSMAN -
targetIds: array
targetIds
List of target IDs
-
targetNames: array
targetNames
List of target names
-
targetType: string
Allowed Values:
[ "oracle_database", "oracle_pdb", "cluster", "rac_database", "has" ]Target type -
tasks: string
Allowed Values:
[ "UPDATE", "UPGRADE" ]List of tasks -
timeStartedGreaterThanOrEqualTo: string
Since the given timeExample:
2023-01-30 10:00:00 -
timeStartedLesserThanOrEqualTo: string
Until the given timeExample:
2023-01-30 10:00:11
Nested Schema : targetIds
Type:
arrayList of target IDs
Show Source
Example:
[
"E5B98897FE871AC1E05380FE4564F682",
"ADB98897FE871AC1E05380FE4564F555"
]Nested Schema : targetNames
Type:
arrayList of target names
Show Source
Example:
[
"Prod DB",
"HR DB"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Ok. LCM History exported successfully.
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
ExportLcmHistoryReport
Export LCM history response
Nested Schema : ExportLcmHistoryReport
Type:
objectExport LCM history response
Show Source
-
message: string
Success messageExample:
CSV file exported successfully to /scratch/lcmhistory/exportlcmhistory.csv -
nextPage: string
Base 64 encoded next pageExample:
b2Zmc2V0OjC
Examples
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message